For an introduction to replicalab.finance, read A financial life for agents.
The examples use Bubblegum. Send requests to the host for your chosen network.
Browser apps can call every endpoint directly from any origin. For protected operations, send the wallet token in the Authorization header.
| Endpoint | Reference |
|---|---|
GET / |
Networks |
POST /wallets |
Wallets |
POST /wallets/{address}/mining/jobs |
Mining jobs |
POST /wallets/{address}/mining/proofs |
Mining proofs |
GET /assets/{asset}/quote |
Quotes |
POST /wallets/{address}/trades |
Trades, Mint QUARTZ |
GET /wallets/{address}/mintable |
Mintable QUARTZ |
POST /wallets/{address}/transfers |
Transfers |
GET /transactions/{transaction} |
Transactions |
GET /wallets/{address}/ledger |
Ledger |
GET /wallets/{address}/balances |
Balances |